Name:           lua-lxc
Epoch:          1
Version:        3.0.2
Release:        %mkrel 4
Summary:        Lua binding for LXC
License:        LGPLv2+
Group:          Development/Other
URL:            https://linuxcontainers.org/lxc
Source0:        https://linuxcontainers.org/downloads/lxc/%{name}-%{version}.tar.gz
Patch0:         lua-linking.patch
BuildRequires:  lua-devel
BuildRequires:  pkgconfig(lxc) >= 3.0.0
BuildRequires:  make
BuildRequires:  gcc

Requires:       lua-filesystem


%description
Linux Resource Containers provide process and resource isolation
without the overhead of full virtualization.

The lua-lxc package contains the Lua binding for LXC.


%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}core\\.so\\.0


%prep
%autosetup -p1


%build
autoreconf -vfi
%configure --disable-static
%make_build


%install
%make_install


%files
%license COPYING
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%{lua_libdir}/lxc
%{lua_pkgdir}/lxc.lua


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1:3.0.2-4.mga10
+ Revision: 2213305
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 1:3.0.2-3.mga9
+ Revision: 1837839
- Mageia 9 Mass Rebuild

* Fri Apr 02 2021 wally <wally> 1:3.0.2-2.mga9
+ Revision: 1712746
- rebuild for lua 5.4

* Thu Mar 11 2021 daviddavid <daviddavid> 1:3.0.2-1.mga9
+ Revision: 1701313
- initial package lua-lxc

